This endpoint is used for storing back side of id for further processing. Image quality check is performed during that call.
Number of retries is not limited.
Once process-id is finished, this endpoint cannot be called for retries.
Note: Front-side of id should be uploaded before back side.
In case of passport or only front sided documents, this endpoint should not be called.
Query parameters
retrybooleanDefaults to false
Flag stating that this is retry attempt for add/back-id
Headers
api-versionstringrequiredDefaults to 1.0
Request body
application/json
base64Imagestring
Image in base64 format. One of base64Image or imageUrl is required
imageUrlstring
URL of the image. One of base64Image or imageUrl is required
Responses
Response body (application/json)
correctSharpnessboolean
It's true if the sharpness of the ID meets the requirements.
correctGlareboolean
It's true if the glare of the ID meets the requirements.
horizontalResolutioninteger (int32)
Value is based on the resolution of the cropped photo. Low value means after performing the crop we have a bad quality of image. We recommend to retry capture if value is below 155.
shadowConfidencenumber (float)0 to 1
Value 0 means it is no shadow on the image and image quality is good, while value 1 represents bad quality of image with a lot of shadow. We recommend to retry capture if value is 1.
classificationboolean
If true, server classified image as a front side of an id. If false, server failed to classify image as valid front side of an id or passport and other parameters can be ignored.
readabilityboolean
If true, server can properly read ID. If false server failed to read some key places of the ID.
Flag that signals if image was redacted as part of the ID capture.
idFaceExtractionSkippedboolean
True when biometric face extraction from the front ID was skipped because the client passed extractIdFace=false. While this flag is true, face-match flows that require an ID-side template cannot run; the flag is cleared on a subsequent add/front-id call where extractIdFace is true (or omitted).
Checked only if configured in the session flow.
maxinteger (int32)
Maximum number of attempts to capture a photo.
remaininginteger (int32)
Number of remaining attempts to capture a photo.
idQualityAttemptApprovedboolean
ID quality check result based on ML readability estimation. True if perFieldReadability >= 0.38, false otherwise. Only available for Mexican documents when feature is enabled.